Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
<Appearance("Set PropertyName Font style", AppearanceItemType:="ViewItem", FontStyle:=Drawing.FontStyle.Bold, TargetItems:="PropertyName")> _
Public Class ProductFinderInfo
    Inherits BaseObject
    Private _PropertyName As String
    Private _InfoString As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property PropertyName As String
        Get
            Return _PropertyName
        End Get
        Set(value As String)
            SetPropertyValue("PropertyName", _PropertyName, value)
        End Set
    End Property
    <Size(-1)> _
    Property InfoString As String
        Get
            Return _InfoString
        End Get
        Set(value As String)
            SetPropertyValue("InfoString", _InfoString, value)
        End Set
    End Property
End Class
